%define mainver %(echo %{version} | sed -e 's/\\([0-9]*\\.[0-9]*\\)\\.[0-9]*/\\1/')
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

%define module  TwistedRunner

Name:           python-twisted-runner
Version:        15.2.1
Release:        %mkrel 2
Summary:        Runner has process management, including an inetd replacement for Twisted
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/trac/wiki/TwistedRunner
Source0:        http://twistedmatrix.com/Releases/Runner/%{mainver}/%{module}-%{version}.tar.xz
BuildRequires:  python-devel
BuildRequires:  python-twisted-core
Requires:       python-twisted-core

%description
Runner has process management, including an inetd replacement for Twisted.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf %buildroot
%{__python} setup.py install --root=%{buildroot} --skip-build --install-purelib=%{python_sitearch}


%files
%doc LICENSE README NEWS
%dir %{python_sitearch}/twisted/runner
%{python_sitearch}/twisted/runner/*
%{python_sitearch}/twisted/plugins/*
%{python_sitearch}/Twisted_Runner-%{version}-py%{pyver}.egg-info


%changelog
* Fri Mar 04 2016 bb <bb> 15.2.1-2pclos2016
- rebuild openssl

* Sun Sep 13 2015 bb <bb> 15.2.1-1pclos2015
- update
